// Hippo player map implementation.

#include "hippo.h"

string playermap::play_command(const string& filename) {

	// Get the extension.
	string::size_type pos = filename.rfind('.');
	string ext = "";
	if (pos != string::npos) ext = filename.substr(pos + 1);

	// Look it up in the map.
	iterator it = find(ext);
	if (it != end()) return (*it).second + " \"" + filename + "\"";
	
	return "echo no known player for " + filename;
}

string playermap::song_name(string filename) {

	// In the future, this should use ID3 if required.
	// For now, just crop off the path and extension.
	string::size_type pos = filename.rfind('/');
	if (pos != string::npos) filename = filename.substr(pos+1);
	pos = filename.rfind('.');
	if (pos != string::npos) return filename.substr(0, pos);
	return filename;
}
